Skip to Content
SeyloDocs
API referenceTemplates

List templates

GET
/api/v1/templates.list

Lists the template catalog (built-in and added on this panel), optionally filtered by category or a search text, with the categories for the filter chips.

Any signed-in caller. Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Query Parameters

category?string
Lengthlength <= 60
query?string
Lengthlength <= 100

Response Body

Success.

application/json
  1. response
templates*array<>
categories*array<string>
Example Request
curl -X GET 'https://example.com/api/v1/templates.list'
Example Response
{  "templates": [    {      "slug": "string",      "name": "string",      "description": "string",      "category": "string",      "tags": [        "string"      ],      "logoUrl": "string",      "creates": "string",      "builtIn": true    }  ],  "categories": [    "string"  ]}